function battle_sai022(npcID)       --上官母
	local n=flag.GetBattleValue(12002)
	
	n=n+1
	flag.SetBattleValue(12002,n)
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
			
	
	
	if n%4==1 then
		id=battle.GetRndPlayer()        --普通攻击
		battle.MagicToPlayer(id,1497,1)
	else
		local a=battle.GetRndNumber(1,10)
		if a>=1 and a<=3 then
			id=battle.GetRndPlayer()        --普通攻击
			battle.AtkToPlayer(id,1)
		elseif a>=4 and a<=6 then
			id=battle.GetRndPlayer()        
			battle.MagicToPlayer(id,1495,1)  --气旋
		elseif a>=7 and a<=8 then
			id=battle.GetRndPlayer()        
			battle.MagicToPlayer(id,1496,1)  --无梦
		else

			battle.MagicToPlayer(0,1498,1)  --烈风舞
		end
	end

end